com.genesyslab.wfm8.API.service.config852

## Class CfgAgent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAgent

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgent
      extends java.lang.Object
      implements java.io.Serializable

  Agent information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID
    `protected java.lang.String` | `gswEmail` Agent's E-mail address
    `protected java.lang.String` | `gswEmployeeId` Employee ID
    `protected java.lang.String` | `gswFirstName` First Name
    `protected java.lang.String` | `gswLastName` Last Name
    `protected int` | `gswTenantId` Agent's Tenant ID
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks point in time when Object information was obtained
    `protected java.util.List<java.lang.Integer>` | `wmActivities`
    `protected int` | `wmActivitiesNSizeIs`
    `protected java.util.List<CfgAgentActivity>` | `wmAgentActivities` A list of IDs of Activities (`CfgActivity`) that Agent is qualified to work on.
    `protected int` | `wmAgentActivitiesNSizeIs` Number of elements in wmAgentActivities array
    `protected java.util.List<CfgAgentContract>` | `wmAgentContracts` A sorted list of Agent Contracts (`CfgAgentContract`).
    `protected int` | `wmAgentContractsNSizeIs` Number of elements in wmAgentContracts array
    `protected java.util.List<CfgAgentRotation>` | `wmAgentRotatingSch` A sorted list of Agent Rotations (`CfgAgentRotation`).
    `protected int` | `wmAgentRotatingSchNSizeIs` Number of elements in wmAgentRotatingSch array
    `protected java.util.List<CfgAgentSkill>` | `wmAgentSkills` A sorted list of Agent Skills (`CfgAgentSkill`).
    `protected int` | `wmAgentSkillsNSizeIs` Number of elements in wmAgentSkills array
    `protected java.util.List<CfgAgentTimeOffBonus>` | `wmAgentTimeOffBonus`
    `protected int` | `wmAgentTimeOffBonusNSizeIs`
    `protected int` | `wmAgentTimeOffRuleNSizeIs`
    `protected java.util.List<CfgAgentTimeOffRule>` | `wmAgentTimeOffRules`
    `protected int` | `wmBUId`
    `protected int` | `wmCarpoolId` An ID of `CfgCarpool` that agent belongs to
    `protected java.lang.String` | `wmComments` Agent Comments
    `protected int` | `wmContractId` Agent's Contract ID (`CfgContract`) for today or for selected date.
    `protected double` | `wmEndDate` Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated
    `protected int` | `wmHourlyWage` Hourly Wage
    `protected int` | `wmSeniority` Seniority or Rank
    `protected int` | `wmSiteId` Agent's Site ID; identifies `CfgSite`.
    `protected double` | `wmStartDate` Hire Date (`OleDateTime`)
    `protected int` | `wmTeamId` Agent's Team ID; identifies `CfgTeam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `java.lang.String` | `getGswEmail()` Gets the value of the gswEmail property.
    `java.lang.String` | `getGswEmployeeId()` Gets the value of the gswEmployeeId property.
    `java.lang.String` | `getGswFirstName()` Gets the value of the gswFirstName property.
    `java.lang.String` | `getGswLastName()` Gets the value of the gswLastName property.
    `int` | `getGswTenantId()` Gets the value of the gswTenantId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `java.util.List<CfgAgentActivity>` | `getWmAgentActivities()` Gets the value of the wmAgentActivities property.
    `int` | `getWmAgentActivitiesNSizeIs()` Gets the value of the wmAgentActivitiesNSizeIs property.
    `java.util.List<CfgAgentContract>` | `getWmAgentContracts()` Gets the value of the wmAgentContracts property.
    `int` | `getWmAgentContractsNSizeIs()` Gets the value of the wmAgentContractsNSizeIs property.
    `java.util.List<CfgAgentRotation>` | `getWmAgentRotatingSch()` Gets the value of the wmAgentRotatingSch property.
    `int` | `getWmAgentRotatingSchNSizeIs()` Gets the value of the wmAgentRotatingSchNSizeIs property.
    `java.util.List<CfgAgentSkill>` | `getWmAgentSkills()` Gets the value of the wmAgentSkills property.
    `int` | `getWmAgentSkillsNSizeIs()` Gets the value of the wmAgentSkillsNSizeIs property.
    `java.util.List<CfgAgentTimeOffBonus>` | `getWmAgentTimeOffBonus()` Gets the value of the wmAgentTimeOffBonus property.
    `int` | `getWmAgentTimeOffBonusNSizeIs()` Gets the value of the wmAgentTimeOffBonusNSizeIs property.
    `int` | `getWmAgentTimeOffRuleNSizeIs()` Gets the value of the wmAgentTimeOffRuleNSizeIs property.
    `java.util.List<CfgAgentTimeOffRule>` | `getWmAgentTimeOffRules()` Gets the value of the wmAgentTimeOffRules property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmCarpoolId()` Gets the value of the wmCarpoolId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmHourlyWage()` Gets the value of the wmHourlyWage property.
    `int` | `getWmSeniority()` Gets the value of the wmSeniority property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswEmail(java.lang.String value)` Sets the value of the gswEmail property.
    `void` | `setGswEmployeeId(java.lang.String value)` Sets the value of the gswEmployeeId property.
    `void` | `setGswFirstName(java.lang.String value)` Sets the value of the gswFirstName property.
    `void` | `setGswLastName(java.lang.String value)` Sets the value of the gswLastName property.
    `void` | `setGswTenantId(int value)` Sets the value of the gswTenantId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmAgentActivities(java.util.List<CfgAgentActivity> wmAgentActivities)` Sets the value of the wmAgentActivities property.
    `void` | `setWmAgentActivitiesNSizeIs(int value)` Sets the value of the wmAgentActivitiesNSizeIs property.
    `void` | `setWmAgentContracts(java.util.List<CfgAgentContract> value)` Sets the value of the wmAgentContracts property.
    `void` | `setWmAgentContractsNSizeIs(int value)` Sets the value of the wmAgentContractsNSizeIs property.
    `void` | `setWmAgentRotatingSch(java.util.List<CfgAgentRotation> value)` Sets the value of the wmAgentRotatingSch property.
    `void` | `setWmAgentRotatingSchNSizeIs(int value)` Sets the value of the wmAgentRotatingSchNSizeIs property.
    `void` | `setWmAgentSkills(java.util.List<CfgAgentSkill> wmAgentSkills)` Sets the value of the wmAgentSkills property.
    `void` | `setWmAgentSkillsNSizeIs(int value)` Sets the value of the wmAgentSkillsNSizeIs property.
    `void` | `setWmAgentTimeOffBonus(java.util.List<CfgAgentTimeOffBonus> value)` Sets the value of the wmAgentTimeOffBonus property.
    `void` | `setWmAgentTimeOffBonusNSizeIs(int value)` Sets the value of the wmAgentTimeOffBonusNSizeIs property.
    `void` | `setWmAgentTimeOffRuleNSizeIs(int value)` Sets the value of the wmAgentTimeOffRuleNSizeIs property.
    `void` | `setWmAgentTimeOffRules(java.util.List<CfgAgentTimeOffRule> value)` Sets the value of the wmAgentTimeOffRules property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmCarpoolId(int value)` Sets the value of the wmCarpoolId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmHourlyWage(int value)` Sets the value of the wmHourlyWage property.
    `void` | `setWmSeniority(int value)` Sets the value of the wmSeniority property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgAgent` | `withGswAgentId(int value)`
    `CfgAgent` | `withGswEmail(java.lang.String value)`
    `CfgAgent` | `withGswEmployeeId(java.lang.String value)`
    `CfgAgent` | `withGswFirstName(java.lang.String value)`
    `CfgAgent` | `withGswLastName(java.lang.String value)`
    `CfgAgent` | `withGswTenantId(int value)`
    `CfgAgent` | `withTimestamp(long value)`
    `CfgAgent` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgAgent` | `withWmActivities(java.lang.Integer... values)`
    `CfgAgent` | `withWmActivitiesNSizeIs(int value)`
    `CfgAgent` | `withWmAgentActivities(CfgAgentActivity... values)`
    `CfgAgent` | `withWmAgentActivities(java.util.Collection<CfgAgentActivity> values)`
    `CfgAgent` | `withWmAgentActivitiesNSizeIs(int value)`
    `CfgAgent` | `withWmAgentContracts(CfgAgentContract... values)`
    `CfgAgent` | `withWmAgentContracts(java.util.Collection<CfgAgentContract> values)`
    `CfgAgent` | `withWmAgentContractsNSizeIs(int value)`
    `CfgAgent` | `withWmAgentRotatingSch(CfgAgentRotation... values)`
    `CfgAgent` | `withWmAgentRotatingSch(java.util.Collection<CfgAgentRotation> values)`
    `CfgAgent` | `withWmAgentRotatingSchNSizeIs(int value)`
    `CfgAgent` | `withWmAgentSkills(CfgAgentSkill... values)`
    `CfgAgent` | `withWmAgentSkills(java.util.Collection<CfgAgentSkill> values)`
    `CfgAgent` | `withWmAgentSkillsNSizeIs(int value)`
    `CfgAgent` | `withWmAgentTimeOffBonus(CfgAgentTimeOffBonus... values)`
    `CfgAgent` | `withWmAgentTimeOffBonus(java.util.Collection<CfgAgentTimeOffBonus> values)`
    `CfgAgent` | `withWmAgentTimeOffBonusNSizeIs(int value)`
    `CfgAgent` | `withWmAgentTimeOffRuleNSizeIs(int value)`
    `CfgAgent` | `withWmAgentTimeOffRules(CfgAgentTimeOffRule... values)`
    `CfgAgent` | `withWmAgentTimeOffRules(java.util.Collection<CfgAgentTimeOffRule> values)`
    `CfgAgent` | `withWmBUId(int value)`
    `CfgAgent` | `withWmCarpoolId(int value)`
    `CfgAgent` | `withWmComments(java.lang.String value)`
    `CfgAgent` | `withWmContractId(int value)`
    `CfgAgent` | `withWmEndDate(double value)`
    `CfgAgent` | `withWmHourlyWage(int value)`
    `CfgAgent` | `withWmSeniority(int value)`
    `CfgAgent` | `withWmSiteId(int value)`
    `CfgAgent` | `withWmStartDate(double value)`
    `CfgAgent` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Agent ID

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteId

          protected int wmSiteId

      Agent's Site ID; identifies `CfgSite`. Zero if Agent is "unassigned".

    - #### wmTeamId

          protected int wmTeamId

      Agent's Team ID; identifies `CfgTeam`

    - #### wmContractId

          protected int wmContractId

      Agent's Contract ID (`CfgContract`) for today or for selected date. The date selection can be specified as `CfgAgentFilter`.wmStartDate

    - #### gswEmployeeId

          protected java.lang.String gswEmployeeId

      Employee ID

    - #### gswFirstName

          protected java.lang.String gswFirstName

      First Name

    - #### gswLastName

          protected java.lang.String gswLastName

      Last Name

    - #### wmStartDate

          protected double wmStartDate

      Hire Date (`OleDateTime`)

    - #### wmEndDate

          protected double wmEndDate

      Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated

    - #### wmComments

          protected java.lang.String wmComments

      Agent Comments

    - #### wmHourlyWage

          protected int wmHourlyWage

      Hourly Wage

    - #### wmSeniority

          protected int wmSeniority

      Seniority or Rank

    - #### wmAgentSkillsNSizeIs

          protected int wmAgentSkillsNSizeIs

      Number of elements in wmAgentSkills array

    - #### wmAgentSkills

          protected java.util.List<CfgAgentSkill> wmAgentSkills

      A sorted list of Agent Skills (`CfgAgentSkill`). The sorting based on skill effective date.

    - #### wmAgentActivitiesNSizeIs

          protected int wmAgentActivitiesNSizeIs

      Number of elements in wmAgentActivities array

    - #### wmAgentActivities

          protected java.util.List<CfgAgentActivity> wmAgentActivities

      A list of IDs of Activities (`CfgActivity`) that Agent is qualified to work on. The list is based on agent skills for current or selected date. The date selection can be specified as `CfgAgentFilter`.wmStartDate

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

    - #### gswEmail

          protected java.lang.String gswEmail

      Agent's E-mail address

    - #### gswTenantId

          protected int gswTenantId

      Agent's Tenant ID

    - #### wmCarpoolId

          protected int wmCarpoolId

      An ID of `CfgCarpool` that agent belongs to

    - #### wmAgentContractsNSizeIs

          protected int wmAgentContractsNSizeIs

      Number of elements in wmAgentContracts array

    - #### wmAgentContracts

          protected java.util.List<CfgAgentContract> wmAgentContracts

      A sorted list of Agent Contracts (`CfgAgentContract`). The sorting based on contract effective date.

    - #### wmAgentRotatingSchNSizeIs

          protected int wmAgentRotatingSchNSizeIs

      Number of elements in wmAgentRotatingSch array

    - #### wmAgentRotatingSch

          protected java.util.List<CfgAgentRotation> wmAgentRotatingSch

      A sorted list of Agent Rotations (`CfgAgentRotation`). The sorting based on rotation effective date.

    - #### wmAgentTimeOffRuleNSizeIs

          protected int wmAgentTimeOffRuleNSizeIs

    - #### wmAgentTimeOffRules

          protected java.util.List<CfgAgentTimeOffRule> wmAgentTimeOffRules

    - #### wmAgentTimeOffBonusNSizeIs

          protected int wmAgentTimeOffBonusNSizeIs

    - #### wmAgentTimeOffBonus

          protected java.util.List<CfgAgentTimeOffBonus> wmAgentTimeOffBonus

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgAgent

          public CfgAgent()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getGswEmployeeId

          public java.lang.String getGswEmployeeId()

      Gets the value of the gswEmployeeId property.
      Returns:
        possible object is `String`

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String value)

      Sets the value of the gswEmployeeId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the value of the gswFirstName property.
      Returns:
        possible object is `String`

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String value)

      Sets the value of the gswFirstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the value of the gswLastName property.
      Returns:
        possible object is `String`

    - #### setGswLastName

          public void setGswLastName(java.lang.String value)

      Sets the value of the gswLastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmHourlyWage

          public int getWmHourlyWage()

      Gets the value of the wmHourlyWage property.

    - #### setWmHourlyWage

          public void setWmHourlyWage(int value)

      Sets the value of the wmHourlyWage property.

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the value of the wmSeniority property.

    - #### setWmSeniority

          public void setWmSeniority(int value)

      Sets the value of the wmSeniority property.

    - #### getWmAgentSkillsNSizeIs

          public int getWmAgentSkillsNSizeIs()

      Gets the value of the wmAgentSkillsNSizeIs property.

    - #### setWmAgentSkillsNSizeIs

          public void setWmAgentSkillsNSizeIs(int value)

      Sets the value of the wmAgentSkillsNSizeIs property.

    - #### getWmAgentSkills

          public java.util.List<CfgAgentSkill> getWmAgentSkills()

      Gets the value of the wmAgentSkills property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentSkills property.

      For example, to add a new item, do as follows:

              getWmAgentSkills().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentSkill`

    - #### getWmAgentActivitiesNSizeIs

          public int getWmAgentActivitiesNSizeIs()

      Gets the value of the wmAgentActivitiesNSizeIs property.

    - #### setWmAgentActivitiesNSizeIs

          public void setWmAgentActivitiesNSizeIs(int value)

      Sets the value of the wmAgentActivitiesNSizeIs property.

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmAgentActivities

          public java.util.List<CfgAgentActivity> getWmAgentActivities()

      Gets the value of the wmAgentActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentActivities property.

      For example, to add a new item, do as follows:

              getWmAgentActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentActivity`

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the value of the gswEmail property.
      Returns:
        possible object is `String`

    - #### setGswEmail

          public void setGswEmail(java.lang.String value)

      Sets the value of the gswEmail property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswTenantId

          public int getGswTenantId()

      Gets the value of the gswTenantId property.

    - #### setGswTenantId

          public void setGswTenantId(int value)

      Sets the value of the gswTenantId property.

    - #### getWmCarpoolId

          public int getWmCarpoolId()

      Gets the value of the wmCarpoolId property.

    - #### setWmCarpoolId

          public void setWmCarpoolId(int value)

      Sets the value of the wmCarpoolId property.

    - #### getWmAgentContractsNSizeIs

          public int getWmAgentContractsNSizeIs()

      Gets the value of the wmAgentContractsNSizeIs property.

    - #### setWmAgentContractsNSizeIs

          public void setWmAgentContractsNSizeIs(int value)

      Sets the value of the wmAgentContractsNSizeIs property.

    - #### getWmAgentContracts

          public java.util.List<CfgAgentContract> getWmAgentContracts()

      Gets the value of the wmAgentContracts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentContracts property.

      For example, to add a new item, do as follows:

              getWmAgentContracts().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentContract`

    - #### setWmAgentContracts

          public void setWmAgentContracts(java.util.List<CfgAgentContract> value)

      Sets the value of the wmAgentContracts property.

    - #### getWmAgentRotatingSchNSizeIs

          public int getWmAgentRotatingSchNSizeIs()

      Gets the value of the wmAgentRotatingSchNSizeIs property.

    - #### setWmAgentRotatingSchNSizeIs

          public void setWmAgentRotatingSchNSizeIs(int value)

      Sets the value of the wmAgentRotatingSchNSizeIs property.

    - #### getWmAgentRotatingSch

          public java.util.List<CfgAgentRotation> getWmAgentRotatingSch()

      Gets the value of the wmAgentRotatingSch property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentRotatingSch property.

      For example, to add a new item, do as follows:

              getWmAgentRotatingSch().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentRotation`

    - #### setWmAgentRotatingSch

          public void setWmAgentRotatingSch(java.util.List<CfgAgentRotation> value)

      Sets the value of the wmAgentRotatingSch property.

    - #### getWmAgentTimeOffRuleNSizeIs

          public int getWmAgentTimeOffRuleNSizeIs()

      Gets the value of the wmAgentTimeOffRuleNSizeIs property.

    - #### setWmAgentTimeOffRuleNSizeIs

          public void setWmAgentTimeOffRuleNSizeIs(int value)

      Sets the value of the wmAgentTimeOffRuleNSizeIs property.

    - #### getWmAgentTimeOffRules

          public java.util.List<CfgAgentTimeOffRule> getWmAgentTimeOffRules()

      Gets the value of the wmAgentTimeOffRules property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentTimeOffRules property.

      For example, to add a new item, do as follows:

              getWmAgentTimeOffRules().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentTimeOffRule`

    - #### setWmAgentTimeOffRules

          public void setWmAgentTimeOffRules(java.util.List<CfgAgentTimeOffRule> value)

      Sets the value of the wmAgentTimeOffRules property.

    - #### getWmAgentTimeOffBonusNSizeIs

          public int getWmAgentTimeOffBonusNSizeIs()

      Gets the value of the wmAgentTimeOffBonusNSizeIs property.

    - #### setWmAgentTimeOffBonusNSizeIs

          public void setWmAgentTimeOffBonusNSizeIs(int value)

      Sets the value of the wmAgentTimeOffBonusNSizeIs property.

    - #### getWmAgentTimeOffBonus

          public java.util.List<CfgAgentTimeOffBonus> getWmAgentTimeOffBonus()

      Gets the value of the wmAgentTimeOffBonus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentTimeOffBonus property.

      For example, to add a new item, do as follows:

              getWmAgentTimeOffBonus().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentTimeOffBonus`

    - #### setWmAgentTimeOffBonus

          public void setWmAgentTimeOffBonus(java.util.List<CfgAgentTimeOffBonus> value)

      Sets the value of the wmAgentTimeOffBonus property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswAgentId

          public CfgAgent withGswAgentId(int value)

    - #### withWmBUId

          public CfgAgent withWmBUId(int value)

    - #### withWmSiteId

          public CfgAgent withWmSiteId(int value)

    - #### withWmTeamId

          public CfgAgent withWmTeamId(int value)

    - #### withWmContractId

          public CfgAgent withWmContractId(int value)

    - #### withGswEmployeeId

          public CfgAgent withGswEmployeeId(java.lang.String value)

    - #### withGswFirstName

          public CfgAgent withGswFirstName(java.lang.String value)

    - #### withGswLastName

          public CfgAgent withGswLastName(java.lang.String value)

    - #### withWmStartDate

          public CfgAgent withWmStartDate(double value)

    - #### withWmEndDate

          public CfgAgent withWmEndDate(double value)

    - #### withWmComments

          public CfgAgent withWmComments(java.lang.String value)

    - #### withWmHourlyWage

          public CfgAgent withWmHourlyWage(int value)

    - #### withWmSeniority

          public CfgAgent withWmSeniority(int value)

    - #### withWmAgentSkillsNSizeIs

          public CfgAgent withWmAgentSkillsNSizeIs(int value)

    - #### withWmAgentSkills

          public CfgAgent withWmAgentSkills(CfgAgentSkill... values)

    - #### withWmAgentSkills

          public CfgAgent withWmAgentSkills(java.util.Collection<CfgAgentSkill> values)

    - #### withWmAgentActivitiesNSizeIs

          public CfgAgent withWmAgentActivitiesNSizeIs(int value)

    - #### withWmActivitiesNSizeIs

          public CfgAgent withWmActivitiesNSizeIs(int value)

    - #### withWmAgentActivities

          public CfgAgent withWmAgentActivities(CfgAgentActivity... values)

    - #### withWmAgentActivities

          public CfgAgent withWmAgentActivities(java.util.Collection<CfgAgentActivity> values)

    - #### withWmActivities

          public CfgAgent withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public CfgAgent withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### withGswEmail

          public CfgAgent withGswEmail(java.lang.String value)

    - #### withGswTenantId

          public CfgAgent withGswTenantId(int value)

    - #### withWmCarpoolId

          public CfgAgent withWmCarpoolId(int value)

    - #### withWmAgentContractsNSizeIs

          public CfgAgent withWmAgentContractsNSizeIs(int value)

    - #### withWmAgentContracts

          public CfgAgent withWmAgentContracts(CfgAgentContract... values)

    - #### withWmAgentContracts

          public CfgAgent withWmAgentContracts(java.util.Collection<CfgAgentContract> values)

    - #### withWmAgentRotatingSchNSizeIs

          public CfgAgent withWmAgentRotatingSchNSizeIs(int value)

    - #### withWmAgentRotatingSch

          public CfgAgent withWmAgentRotatingSch(CfgAgentRotation... values)

    - #### withWmAgentRotatingSch

          public CfgAgent withWmAgentRotatingSch(java.util.Collection<CfgAgentRotation> values)

    - #### withWmAgentTimeOffRuleNSizeIs

          public CfgAgent withWmAgentTimeOffRuleNSizeIs(int value)

    - #### withWmAgentTimeOffRules

          public CfgAgent withWmAgentTimeOffRules(CfgAgentTimeOffRule... values)

    - #### withWmAgentTimeOffRules

          public CfgAgent withWmAgentTimeOffRules(java.util.Collection<CfgAgentTimeOffRule> values)

    - #### withWmAgentTimeOffBonusNSizeIs

          public CfgAgent withWmAgentTimeOffBonusNSizeIs(int value)

    - #### withWmAgentTimeOffBonus

          public CfgAgent withWmAgentTimeOffBonus(CfgAgentTimeOffBonus... values)

    - #### withWmAgentTimeOffBonus

          public CfgAgent withWmAgentTimeOffBonus(java.util.Collection<CfgAgentTimeOffBonus> values)

    - #### withTimestamp

          public CfgAgent withTimestamp(long value)

    - #### setWmAgentSkills

          public void setWmAgentSkills(java.util.List<CfgAgentSkill> wmAgentSkills)

      Sets the value of the wmAgentSkills property.
      Parameters:
        `wmAgentSkills` - allowed object is `CfgAgentSkill`

    - #### setWmAgentActivities

          public void setWmAgentActivities(java.util.List<CfgAgentActivity> wmAgentActivities)

      Sets the value of the wmAgentActivities property.
      Parameters:
        `wmAgentActivities` - allowed object is `CfgAgentActivity`

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.